ChangeSet 1.781.21.2, 2002/10/15 00:10:53-07:00, johannes@erdfelt.com

[PATCH] 2.5 uhci remove correct proc directory

This patch fixes a typo in the names used to remove the proc directory
that uhci uses.

The longer term fix of splitting out (or dropping outright) the
debugging code will come soon after the important bugs and features are
merged.


diff -Nru a/drivers/usb/host/uhci-hcd.c b/drivers/usb/host/uhci-hcd.c
--- a/drivers/usb/host/uhci-hcd.c	Fri Oct 18 14:44:01 2002
+++ b/drivers/usb/host/uhci-hcd.c	Fri Oct 18 14:44:01 2002
@@ -2517,7 +2517,7 @@
 up_failed:
 
 #ifdef CONFIG_PROC_FS
-	remove_proc_entry("uhci", 0);
+	remove_proc_entry("driver/uhci", 0);
 
 proc_failed:
 #endif
@@ -2537,7 +2537,7 @@
 		printk(KERN_INFO "uhci: not all urb_priv's were freed\n");
 
 #ifdef CONFIG_PROC_FS
-	remove_proc_entry("uhci", 0);
+	remove_proc_entry("driver/uhci", 0);
 #endif
 
 	if (errbuf)
